variables:
    GIT_SUBMODULE_STRATEGY: recursive
    GIT_SUBMODULE_FORCE_HTTPS: "true"

    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR:
    DOCKER_DRIVER: overlay2

    DOCKER_REGISTRY: docker.io
    DOCKER_REGISTRY_USER: dojohesso
    DOCKER_REGISTRY_IMAGE: dojohesso/dojo_assignment_checker

    PROJECT_NAME: DojoAssignmentChecker

    VERSION_DEV_SUFFIX: '-dev'
    VERSION_TEST_SUFFIX: '-test'

    GITLAB_API_PROJECT_URL: ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}

    DOCKERFILE: Dockerfile_AssignmentChecker
    DOCKER_PLATFORMS: linux/amd64,linux/arm64/v8

    PROJECT_FOLDER: AssignmentChecker

    PACKAGE_REGISTRY_URL: "${GITLAB_API_PROJECT_URL}/packages/generic/${PROJECT_NAME}"

    WIKI_FOLDER: Wiki